summaryrefslogtreecommitdiffstats
path: root/tests/posix/exec_plus_status.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/posix/exec_plus_status.sh')
-rw-r--r--tests/posix/exec_plus_status.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/tests/posix/exec_plus_status.sh b/tests/posix/exec_plus_status.sh
new file mode 100644
index 0000000..ea9e5ef
--- /dev/null
+++ b/tests/posix/exec_plus_status.sh
@@ -0,0 +1,4 @@
+# -exec ... {} + should always return true, but if the command fails, bfs
+# should exit with a non-zero status
+bfs_diff basic -exec false {} + -print
+(($? == EX_BFS))